package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability3156/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaAelophyShopUpdatestatusRequest struct {
	/*
	   请求对象     */
	ShopStatusUpdateRequest *domain.AlibabaAelophyShopUpdatestatusShopStatusUpdateRequest `json:"shop_status_update_request" required:"true" `
}

func (s *AlibabaAelophyShopUpdatestatusRequest) SetShopStatusUpdateRequest(v domain.AlibabaAelophyShopUpdatestatusShopStatusUpdateRequest) *AlibabaAelophyShopUpdatestatusRequest {
	s.ShopStatusUpdateRequest = &v
	return s
}

func (req *AlibabaAelophyShopUpdatestatusRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.ShopStatusUpdateRequest != nil {
		paramMap["shop_status_update_request"] = util.ConvertStruct(*req.ShopStatusUpdateRequest)
	}
	return paramMap
}

func (req *AlibabaAelophyShopUpdatestatusRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
